commit:     b2053a5994ea5493d70b6fc4a78667a5df28b014
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Sun Jan 17 16:10:24 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jan 17 16:16:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b2053a59

dev-python/path-py: bump to 15.0.1

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/path-py/Manifest              |  1 +
 dev-python/path-py/path-py-15.0.1.ebuild | 49 ++++++++++++++++++++++++++++++++
 2 files changed, 50 insertions(+)

diff --git a/dev-python/path-py/Manifest b/dev-python/path-py/Manifest
index d304f27e748..8e8480e537b 100644
--- a/dev-python/path-py/Manifest
+++ b/dev-python/path-py/Manifest
@@ -1 +1,2 @@
 DIST path-15.0.0.tar.gz 73642 BLAKE2B 
186b77b6571dd878a5b64b575289bb5ee549145ccd0c7b858f99c9e3772cf98f2cc7ff5da759e7fa660296abc49c053a388ad95466c51adccce2162c682c6566
 SHA512 
e41684c576b959e27258f60c0d8b69719c38a5a7a04d9646089aea91227781573368a08f01230dca831732ae687741d22caf52efd9a481378b8d4e77627fe3a5
+DIST path-15.0.1.tar.gz 47662 BLAKE2B 
ec50e75cd1b24cd017189cb8632340a5e4ebed8517d607a9f26e43c7c75b2b7d62e9a70b6b93ea6db79feb3d100ca535aba7926cfd7317bef1ac290697ea8f90
 SHA512 
d8ea2a98cf5caad15bc99a740188d6947cb1cdacc1ac7b6164f29f8d78ca8e73258120ff36f100957e3c4c2ca0ed6eaf27c98c4765ededde41b58d98de24f672

diff --git a/dev-python/path-py/path-py-15.0.1.ebuild 
b/dev-python/path-py/path-py-15.0.1.ebuild
new file mode 100644
index 00000000000..ee2c52e7b64
--- /dev/null
+++ b/dev-python/path-py/path-py-15.0.1.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} pypy3 )
+inherit distutils-r1
+
+MY_P="path-${PV}"
+
+DESCRIPTION="A module wrapper for os.path"
+HOMEPAGE="https://pypi.org/project/path/ https://github.com/jaraco/path";
+SRC_URI="mirror://pypi/p/path/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos"
+
+RDEPEND="
+       dev-python/appdirs[${PYTHON_USEDEP}]
+       !<dev-python/pytest-shutil-1.7.0-r1
+       !<dev-python/pytest-virtualenv-1.7.0-r1"
+BDEPEND="
+       test? (
+               dev-python/packaging[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # avoid a setuptools_scm dependency
+       sed -e "s/setup_requires = setuptools_scm/version = '${PV}'/" \
+               -i setup.cfg || die
+
+       # disable fancy test deps
+       sed -e 's: --flake8:: ; s: --black:: ; s: --cov:: ; s: --mypy::' \
+               -i pytest.ini || die
+
+       # fragile test for import time
+       sed -i -e 's:test_import_time:_&:' test_path.py || die
+
+       distutils-r1_python_prepare_all
+}
+
+python_test() {
+       PYTHONPATH=. pytest -vv || die
+}

Reply via email to